# Gimp.ConfigInterface

    from gi.repository import Gimp

    config_interface = Gimp.ConfigInterface()

## Prerequisites

ConfigInterface requires GObject.Object

## Known Implementations

ConfigInterface is implemented by Brush, ColorConfig, Font, Gradient, Palette, Pattern and Resource

## Static Functions

- Gimp.ConfigInterface.build_data_path
- Gimp.ConfigInterface.build_plug_in_path
- Gimp.ConfigInterface.build_system_path
- Gimp.ConfigInterface.build_writable_path
- Gimp.ConfigInterface.deserialize_return
- Gimp.ConfigInterface.diff
- Gimp.ConfigInterface.error_quark
- Gimp.ConfigInterface.param_spec_duplicate
- Gimp.ConfigInterface.reset_properties
- Gimp.ConfigInterface.reset_property
- Gimp.ConfigInterface.serialize_value
- Gimp.ConfigInterface.string_append_escaped
- Gimp.ConfigInterface.sync
- Gimp.ConfigInterface.type_register